# Function deriveAnnotationMinScale

- deriveAnnotationMinScale(extent, textCount, maxFontSize): number

- Derives a minimum scale for annotation visibility based on extent and text density.

  #### Parameters

  - extent: Extent

    The extent of the annotation layer.

  - textCount: number

    The total number of text elements.

  - maxFontSize: number

    The maximum font size used in the annotations.

  #### Returns number

  The calculated minimum scale.